@import "../styles.css";

/*==================== SKILLS ====================*/
.skills__container {
    row-gap: 0;
  }
  
  .skills__header {
    display: flex;
    align-items: center;
    margin-bottom: var(--mb-2-5);
    cursor: pointer;
  }
  
  .skills__icon, .skills__arrow {
    font-size: 2rem;
    color: var(--first-color);
  }
  
  .skills__icon {
    margin-right: var(--mb-0-75);
  }
  
  .skills__title {
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
  }
  
  .skills__subtitle {
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
  }
  
  .skills__arrow {
    margin-left: auto;
    transition: transform 0.4s;
  }
  
  .skills__list {
    row-gap: 1.5rem;
    padding-left: 2.7rem;
  }
  
  .skills__titles {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: var(--mb-0-5);
  }
  
  .skills__name {
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
  }
  
  .skills__bar, .skills__percentage {
    height: 5px;
    border-radius: 0.25rem;
  }
  
  .skills__bar {
    background-color: var(--first-color-lighter);
  }
  
  .skills__percentage {
    display: block;
    background-color: var(--first-color);
    height: 100%;
    width: var(--percentage, 0%);
    border-radius: 0.25rem;
  }
  
  .skills__close .skills__list {
    height: 0;
    overflow: hidden;
    margin-bottom: 0;
  }
  
  .skills__open .skills__list {
    height: max-content;
    margin-bottom: var(--mb-2-5);
  }
  
  .skills__open .skills__arrow {
    transform: rotate(-180deg);
  }
  